package de.howaner.MapEditor;

import de.howaner.MapEditor.gui.MyWindow;
import de.howaner.MapEditor.map.MapTerrain;
import java.util.logging.Level;
import java.util.logging.Logger;

public class MainMapEditor {

	public static MainMapEditor instance;
	public static final Logger logger = Logger.getLogger("MapEditor");

	private MyWindow window;
	private MapTerrain loadedMap = new MapTerrain();

	static {
		logger.setLevel(Level.INFO);
	}

	public static void main(String[] args) {
		logger.info("Hello world!");

		// Read arguments
		String file = "";
		if (args.length != 0) {
			file = args[0];
		}

		instance = new MainMapEditor(file);
		instance.window = new MyWindow(instance);
		instance.window.showGui();
	}

	public MainMapEditor(String file) {
		
	}

	public MyWindow getWindow() {
		return this.window;
	}

	public MapTerrain getLoadedMap() {
		return this.loadedMap;
	}

	public void setMap(MapTerrain map) {
		this.loadedMap = map;
	}

}
