package de.howaner.MapEditor.util;

public class Location {
	private String world;
	private int posX;
	private int posY;

	public Location(String world, int posX, int posY) {
		this.world = world;
		this.posX = posX;
		this.posY = posY;
	}

	public String getWorld() {
		return this.world;
	}

	public int getPosX() {
		return this.posX;
	}

	public int getPosY() {
		return this.posY;
	}

	public void setWorld(String world) {
		this.world = world;
	}

	public void setPosX(int x) {
		this.posX = x;
	}

	public void setPosY(int y) {
		this.posY = y;
	}

	public void set(int x, int y) {
		this.posX = x;
		this.posY = y;
	}

	public void set(String world, int x, int y) {
		this.world = world;
		this.posX = x;
		this.posY = y;
	}

	public void add(int x, int y) {
		this.posX += x;
		this.posY += y;
	}

	public void subtract(int x, int y) {
		this.posX -= x;
		this.posY -= y;
	}

	public void multiply(int factor) {
		this.posX *= factor;
		this.posY *= factor;
	}

}
