package de.howaner.Pokemon.saveformat;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public abstract class TagBase {
	public abstract void read(DataInput input) throws IOException;

	public abstract void write(DataOutput output) throws IOException;

	public int getTypeID() {
		for (int i = 0; i < TagCompound.tagTypes.length; i++) {
			if (TagCompound.tagTypes[i] == this.getClass()) {
				return i;
			}
		}
		return 0;
	}
}
